[package]
name = "gamenite"
description = "A graph library for board games"
version = "0.1.1"
edition = "2021"
license = "GPL-3.0-or-later"
homepage = "https://git.danejohnson.org/dane/gamenite"
repository = "https://git.danejohnson.org/dane/gamenite"
readme = "README.md"

[lib]
crate-type = ["rlib", "cdylib"]

[dependencies]
serde = { version = "1.0.136", features = ["derive"] }
serde_json = "1.0.79"
zip = "0.6.2"
image = "0.24.2"

[workspace]
members = ["gamenite-gui"]